Browse Source

pre-commit-hook: pipenv sync & pytest

Fabian Peter Hammerle 4 years ago
parent
commit
340e1cee6e
2 changed files with 14 additions and 0 deletions
  1. 7 0
      .githooks/pre-commit
  2. 7 0
      README.md

+ 7 - 0
.githooks/pre-commit

@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -ex
+
+pipenv clean
+pipenv sync --dev
+pipenv run pytest

+ 7 - 0
README.md

@@ -0,0 +1,7 @@
+## develop
+
+```sh
+git clone git@git.hammerle.me:fphammerle/symuid.git
+cd symuid
+git config --local core.hooksPath .githooks/
+```